Skip to main content
POST
/
v1
/
refund_status
Check the status of a refund
curl --request POST \
  --url https://api.example.com/v1/refund_status \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "booking_ref": "JNK-A0AUR2",
  "last_name": "Carrard"
}
'
import requests

url = "https://api.example.com/v1/refund_status"

payload = {
"booking_ref": "JNK-A0AUR2",
"last_name": "Carrard"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({booking_ref: 'JNK-A0AUR2', last_name: 'Carrard'})
};

fetch('https://api.example.com/v1/refund_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "refund_status": "refunded",
  "provider_status": "COMPLETED",
  "refund_amount": {
    "value": 318.4,
    "amount": 123,
    "currency": "USD",
    "decimal_places": 2
  },
  "refund_reference": "rfnd_3c91f0a2",
  "warnings": [
    "<string>"
  ]
}
{
"error": {
"code": "BAD_REQUEST",
"message": "Malformed JSON in request body.",
"doc_url": "https://docs.gojinko.com/concepts/errors"
}
}
{
"error": {
"code": "AUTH_REQUIRED",
"message": "Invalid or expired API key.",
"doc_url": "https://docs.gojinko.com/api-reference/authentication"
}
}
{
"error": {
"code": "BAD_REQUEST",
"message": "origins: origins is required; trip_type: trip_type is required",
"doc_url": "https://docs.gojinko.com/concepts/errors"
}
}
{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit or quota exceeded.",
"doc_url": "https://docs.gojinko.com/concepts/errors"
}
}
{
"error": {
"code": "UPSTREAM_ERROR",
"message": "Upstream travel provider returned an error. Please retry.",
"doc_url": "https://docs.gojinko.com/concepts/errors"
}
}
Poll for terminal state of a previously committed refund.

Authorizations

X-API-Key
string
header
required

Body

application/json
booking_ref
string
required
Example:

"JNK-A0AUR2"

last_name
string
required
Example:

"Carrard"

ticket_numbers
string[]
provider
string
intent
object
refund_reference
string

Response

Check the status of a refund

refund_status
string
Example:

"refunded"

provider_status
string
Example:

"COMPLETED"

refund_amount
object
refund_reference
string
Example:

"rfnd_3c91f0a2"

warnings
string[]